SDL_GetLogOutputFunction(3)

NAME
SDL_GetLogOutputFunction - Get the current log output function.

SYNOPSIS
#include <SDL3/SDL_log.h>

void SDL_GetLogOutputFunction(SDL_LogOutputFunction *callback, void **userdata);

FUNCTION PARAMETERS

callback
    an SDL_LogOutputFunction filled in with the current log callback.

userdata
    a pointer filled in with the pointer that is passed to callback.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetDefaultLogOutputFunction(3), SDL_SetLogOutputFunction(3)